netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
zip.h File Reference

Go to the source code of this file.

## Data Structures
struct | ziphdr
struct | zipreplent

## Macros
#define | zh_count zh_cnt
#define | zh_zero zh_cnt
#define | zh_flags zh_cnt
#define | ZIPOP_QUERY 1
#define | ZIPOP_REPLY 2
#define | ZIPOP_TAKEDOWN 3 /* XXX */
#define | ZIPOP_BRINGUP 4 /* XXX */
#define | ZIPOP_GNI 5
#define | ZIPOP_GNIREPLY 6
#define | ZIPOP_NOTIFY 7
#define | ZIPOP_EREPLY 8
#define | ZIPOP_GETMYZONE 7
#define | ZIPOP_GETZONELIST 8
#define | ZIPOP_GETLOCALZONES 9
#define | ZIPGNI_INVALID 0x80
#define | ZIPGNI_USEBROADCAST 0x40
#define | ZIPGNI_ONEZONE 0x20
#define | MAX_ZONE_LENGTH 32

## Macro Definition Documentation

## ◆ MAX_ZONE_LENGTH

#define MAX_ZONE_LENGTH 32

## ◆ zh_count

#define zh_count zh_cnt

## ◆ zh_flags

#define zh_flags zh_cnt

## ◆ zh_zero

#define zh_zero zh_cnt

## ◆ ZIPGNI_INVALID

#define ZIPGNI_INVALID 0x80

## ◆ ZIPGNI_ONEZONE

#define ZIPGNI_ONEZONE 0x20

## ◆ ZIPGNI_USEBROADCAST

#define ZIPGNI_USEBROADCAST 0x40

## ◆ ZIPOP_BRINGUP

#define ZIPOP_BRINGUP 4 /* XXX */

## ◆ ZIPOP_EREPLY

#define ZIPOP_EREPLY 8

## ◆ ZIPOP_GETLOCALZONES

#define ZIPOP_GETLOCALZONES 9

## ◆ ZIPOP_GETMYZONE

#define ZIPOP_GETMYZONE 7

## ◆ ZIPOP_GETZONELIST

#define ZIPOP_GETZONELIST 8

## ◆ ZIPOP_GNI

#define ZIPOP_GNI 5

## ◆ ZIPOP_GNIREPLY

#define ZIPOP_GNIREPLY 6

## ◆ ZIPOP_NOTIFY

#define ZIPOP_NOTIFY 7

## ◆ ZIPOP_QUERY

#define ZIPOP_QUERY 1

## ◆ ZIPOP_REPLY

#define ZIPOP_REPLY 2

## ◆ ZIPOP_TAKEDOWN

#define ZIPOP_TAKEDOWN 3 /* XXX */